PKCS15-PROFILE(5)

NAME
pkcs15-profile - format of profile for pkcs15-init

SYNOPSIS

DESCRIPTION

The pkcs15-init utility for PKCS #15 smart card personalization is controlled via profiles. When starting, it will read two such profiles at the moment, a generic application profile, and a card specific profile. The generic profile must be specified on the command line, while the card-specific file is selected based on the type of card detected.

The generic application profile defines general information about the card layout, such as the path of the application DF, various PKCS #15 files within that directory, and the access conditions on these files. It also defines general information about PIN, key and certificate objects. Currently, there is only one such generic profile, pkcs15.profile.

The card specific profile contains additional information required during card intialization, such as location of PIN files, key references etc. Profiles currently reside in @pkgdatadir@

SYNTAX

This section should contain information about the profile syntax. Will add this soonishly.

SEE ALSO

pkcs15-init(1), pkcs15-crypt(1)